| Xtract | Source code | Contents | Index
Text.XML.HaXml.Xtract.Lex
Description
This is another hand-written lexer, this time for the Xtract command-language. The entry point is lexXtract. You don't normally need to use this module directly - the lexer is called automatically by the parser. (We only expose this interface for debugging purposes.) The Xtract command language is very like the XPath specification.
Synopsis
lexXtract :: (String -> String) -> String -> [Token]
data Posn = Pn Int
data TokenT
= Symbol String
| TokString String
| TokNum Integer
type Token = Either String (Posn, TokenT)
Documentation
lexXtract :: (String -> String) -> String -> [Token] | Source
First argument is a transformer for pattern strings, e.g. map toLower, but only applying to parts of the pattern not in quotation marks. (Needed to canonicalise HTML where tags are case-insensitive, but attribute values are case sensitive.)
data Posn | Source
Constructors
Pn Int |
Instances
Eq Posn
Show Posn
data TokenT | Source
Constructors
Symbol String |
TokString String |
TokNum Integer |
Instances
Eq TokenT
Show TokenT
type Token = Either String (Posn, TokenT) | Source
Produced by Haddock version 2.4.2